package com.pcloud.book.personalstage.dao;

import com.pcloud.book.personalstage.entity.UserReplaceCode;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface UserReplaceCodeDao extends BaseDao<UserReplaceCode> {

    List<UserReplaceCode> getLastUserReplace(String wxId, String robotId);

    List<String> getUserReplaceRecordByCodeId(String wxId, String robotId, Long codeId);

    UserReplaceCode getLastUserReplaceByCodeId(String wxId, String robotId, Long replaceCodeId);

    UserReplaceCode getLastOneUserReplace(String wxId, String robotId, Integer replaceCodeId);
}